# Copyright (c) 2021 Henix, Henix.fr
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: opentestfactory.org/v1beta2
kind: ServiceConfig
current-context: default
contexts:
- context:
    port: 443
    host: 127.0.0.1
    ssl_context: adhoc
    logfile: qualitygate.log
    services:
      observer:
        endpoint: https://127.0.0.1
        token: reuse
  name: default
- context:
    port: 12312
    host: 127.0.0.1
    ssl_context: disabled
    trusted_authorities:
    - /etc/squashtf/*
    logfile: qualitygate.log
    enable_insecure_login: true
    services:
      observer:
        endpoint: http://127.0.0.1:7775
        token: reuse
  name: allinone
- context:
    port: 12313
    host: 127.0.0.1
    ssl_context: disabled
    logfile: reuse
    trusted_authorities:
    - /etc/squashtf/*
    enable_insecure_login: true
    services:
      observer:
        endpoint: http://127.0.0.1:9565
        token: reuse
  name: insecure
